"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Class to contain  constants
 * @export
 * @class Constants
 */
class Constants {
}
/**
 * Custom log location to prevent logging to default folder based on the package name
 * @static
 * @memberof Constants
 */
Constants.LOG_LOCATION = "zowe/logs/zowe.log";
/**
 * Display name
 * @static
 * @memberof Constants
 */
Constants.DISPLAY_NAME = "Zowe CLI";
/**
 * Binary executable name
 * @static
 * @memberof Constants
 */
Constants.BINARY_NAME = "zowe";
/**
 *
 * Documentation link for the CLI
 * @static
 * @memberof Constants
 */
Constants.DOCUMENTATION_LINK = "https://zowe.github.io/docs-site";
/**
 *
 * Support link for zowe
 * @static
 * @memberof Constants
 */
Constants.SUPPORT_LINK = "https://zowe.org";
/**
 * Description of product
 * @static
 * @memberof Constants
 */
Constants.DESCRIPTION = `Welcome to ${Constants.DISPLAY_NAME}!

${Constants.DISPLAY_NAME} is a command line interface (CLI) that provides a simple and streamlined way to interact with IBM z/OS.

For additional ${Constants.DISPLAY_NAME} documentation, visit ${Constants.DOCUMENTATION_LINK}

For ${Constants.DISPLAY_NAME} support, visit ${Constants.SUPPORT_LINK}
`;
/**
 * Home environment variable
 * @static
 * @memberof Constants
 */
Constants.HOME_ENV_KEY = "ZOWE_CLI_HOME";
/**
 * Prefix for environmental variable settings used by Imperative
 * @static
 * @memberof Constants
 */
Constants.ENV_PREFIX = "ZOWE";
/**
 * Home directory
 * @static
 * @memberof Constants
 */
Constants.HOME_DIR = "~/.zowe";
exports.Constants = Constants;
//# sourceMappingURL=Constants.js.map