#!/usr/bin/env node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const imperative_1 = require("@brightside/imperative");
const Constants_1 = require("./Constants");
const util_1 = require("util");
// TODO(Kelosky): if we remove this, imperative fails to find config in package.json & we must debug this.
const config = {
    configurationModule: __dirname + "/imperative"
};
(() => __awaiter(this, void 0, void 0, function* () {
    try {
        yield imperative_1.Imperative.init(config);
        imperative_1.Imperative.api.appLogger.trace("Init was successful");
        imperative_1.Imperative.parse();
    }
    catch (initErr) {
        imperative_1.Imperative.console.fatal("Error initializing " + Constants_1.Constants.DISPLAY_NAME +
            ":\n "
            + util_1.inspect(initErr));
    }
}))();
//# sourceMappingURL=main.js.map