import { AbstractSession } from "@brightside/imperative";
import { IProvisionedInstance } from "./doc/zosmf/IProvisionedInstance";
/**
 * Get info about a provisioned instance.
 * @export
 * @class ListInstanceInfo
 */
export declare class ListInstanceInfo {
    /**
     * This operation retrieves a published software service instance from the registry instances.
     * @param {AbstractSession} session - z/OSMF connection info
     * @param {string} zOSMFVersion - the URI path variable that identifies the version of the z/OSMF software services template service.
     *                              The following value is valid: 1.0.
     * @param {string} instanceId - the id of the provisioned software service instance.
     * @returns {Promise<IProvisionedInstance>} z/OSMF response object, @see {IProvisionedInstance}
     * @memberof ListInstanceInfo
     */
    static listInstanceCommon(session: AbstractSession, zOSMFVersion: string, instanceId: string): Promise<IProvisionedInstance>;
}
