import { IExplanationMap } from "@brightside/imperative";
import { IPublishedTemplate } from "./IPublishedTemplate";
/**
 * The list of published templates.
 * @export
 * @interface IPublishedTemplates
 */
export interface IPublishedTemplates {
    /**
     * Published software service templates.
     * @type IPublishedTemplate[], @see {IPublishedTemplate}
     * @memberof IPublishedTemplates
     */
    "psc-list": IPublishedTemplate[];
}
/**
 * Main explanation map object for summary output.
 * @type IExplanationMap, @see {IExplanationMap}
 * @memberof IPublishedTemplates
 */
export declare const explainPublishedTemplatesSummary: IExplanationMap;
/**
 * Main explanation map object for full output.
 * @type IExplanationMap, @see {IExplanationMap}
 * @memberof IPublishedTemplates
 */
export declare const explainPublishedTemplatesFull: IExplanationMap;
