"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
const IPublishedTemplate_1 = require("./IPublishedTemplate");
/**
 * Main explanation map object for summary output.
 * @type IExplanationMap, @see {IExplanationMap}
 * @memberof IPublishedTemplates
 */
exports.explainPublishedTemplatesSummary = {
    "psc-list": IPublishedTemplate_1.explainPublishedTemplateSummary,
    "explainedParentKey": null,
    "ignoredKeys": null,
};
/**
 * Main explanation map object for full output.
 * @type IExplanationMap, @see {IExplanationMap}
 * @memberof IPublishedTemplates
 */
exports.explainPublishedTemplatesFull = {
    "psc-list": IPublishedTemplate_1.explainPublishedTemplateFull,
    "explainedParentKey": null,
    "ignoredKeys": null,
};
//# sourceMappingURL=IPublishedTemplates.js.map