import { AbstractSession } from "@brightside/imperative";
/**
 * Class to handle deletion of an archived z/OSMF workflow from a z/OS system
 */
export declare class ArchivedDeleteWorkflow {
    /**
     * Delete archived workflow
     * @param {AbstractSession} session                     - z/OSMF connection info
     * @param {string} workflowKey                          - Unique identifier of the workflow instance.
     * @param {string} zOSMFVersion                         - Identifies the version of the zOSMF workflow service.
     * @returns {string}
     */
    static archivedDeleteWorkflow(session: AbstractSession, workflowKey: string, zOSMFVersion?: string): Promise<string>;
}
