import { AbstractSession } from "@brightside/imperative";
/**
 * Class to handle canceling of zOSMF workflow instance
 */
export declare class CancelWorkflow {
    /**
     * Cancel a workflow instance
     * @param {AbstractSession} session                     - z/OSMF connection info
     * @param {string} workflowKey                          - Unique identifier of the workflow instance.
     * @param {string} zOSMFVersion                         - Identifies the version of the zOSMF workflow service.
     * @returns {Promise<string>}                           - Promise that specifies the new name of the canceled workflow.
     * @memberof CancelWorkflow
     */
    static cancelWorkflow(session: AbstractSession, workflowKey: string, zOSMFVersion?: string): Promise<string>;
}
