/**
 * Interface for z/OSMF API response.
 * @export
 * @interface IVariableInfo
 */
export interface IVariableInfo {
    /**
     * Name of variable.
     * @type {string}
     * @memberof IVariableInfo
     */
    name: string;
    /**
     * Variable scope.
     * @type {string}
     * @memberof IVariableInfo
     */
    scope: string;
    /**
     * Variable type.
     * @type {string}
     * @memberof IVariableInfo
     */
    type: string;
    /**
     * Variable value.
     * @type {string}
     * @memberof IVariableInfo
     */
    value: string;
    /**
     * Variable visibility (public|private).
     * @type {string}
     * @memberof IVariableInfo
     */
    visibility: string;
}
