"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const imperative_1 = require("@brightside/imperative");
const ZosFiles_constants_1 = require("../../../api/constants/ZosFiles.constants");
const invoke_1 = require("../../../api/methods/invoke");
const ZosFilesBase_handler_1 = require("../../ZosFilesBase.handler");
/**
 * Handler to create a PDS data set
 * @export
 */
class AmsStatementsHandler extends ZosFilesBase_handler_1.ZosFilesBaseHandler {
    processWithSession(commandParameters, session) {
        return __awaiter(this, void 0, void 0, function* () {
            let response;
            const statements = imperative_1.TextUtils
                .wordWrap(commandParameters.arguments.controlStatements, ZosFiles_constants_1.ZosFilesConstants.MAX_AMS_LINE - ZosFiles_constants_1.ZosFilesConstants.MAX_AMS_BUFFER)
                .split(/\r?\n/);
            for (let stIdx = 0; stIdx < statements.length - 1; ++stIdx) {
                statements[stIdx] += " -";
            }
            response = yield invoke_1.Invoke.ams(session, statements);
            commandParameters.response.console.log(imperative_1.TextUtils.prettyJson(response.apiResponse));
            return response;
        });
    }
}
exports.default = AmsStatementsHandler;
//# sourceMappingURL=AmsStatements.handler.js.map