"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
const DataSet_definition_1 = require("./data-set/DataSet.definition");
const localFile_definition_1 = require("./local-file/localFile.definition");
const stdin_definition_1 = require("./stdin/stdin.definition");
exports.SubmitDefinition = {
    name: "submit",
    aliases: ["sub"],
    type: "group",
    summary: "Submit z/OS jobs",
    description: "Submit jobs (JCL) contained in data sets.",
    children: [
        DataSet_definition_1.DataSetDefinition,
        localFile_definition_1.LocalFileDefinition,
        stdin_definition_1.StdinDefinition
    ]
};
//# sourceMappingURL=Submit.definition.js.map