/**
 * Imperative constants
 * @export
 * @class Constants
 */
export declare class Constants {
    static readonly FRAMEWORK_DISPLAY_NAME: string;
    static readonly IMPERATIVE_DEFAULT_HOME: string;
    static readonly IMPERATIVE_DIRECTORY: string;
    static readonly ERROR_EXIT_CODE: number;
    static readonly PRIMARY_COMMAND: string;
    static readonly PROFILES_DIR: string;
    /**
     * Syntax diagram
     */
    static readonly COMMAND_SEGMENT: string;
    static readonly GROUP_SEGMENT: string;
    static readonly OPTIONS_SEGMENT: string;
    /**
     * Explanation of experimental features to be used in various places around the CLI
     * @type {string}
     */
    static readonly DEFAULT_EXPERIMENTAL_COMMAND_EXPLANATION: string;
    /**
     * Segments
     */
    static readonly PRIMARY_SEGMENT_NUMBER: number;
    static readonly GROUP_SEGMENT_NUMBER: number;
    static readonly DEFAULT_SET_PROFILE_OBJECT: string;
    static readonly DEFAULT_SET_PROFILE_OBJECT_ALIAS: string;
    static readonly DEFAULT_SET_GROUP: string;
    static readonly DEFAULT_LIST_PROFILE_OBJECT: string;
    static readonly DEFAULT_LIST_PROFILE_OBJECT_ALIAS: string;
    static readonly DEFAULT_LIST_GROUP: string;
    static GLOBAL_GROUP: string;
    static readonly JSON_OPTION: string;
    static readonly JSON_OPTION_ALIAS: string;
    static readonly HELP_OPTION: string;
    static readonly HELP_OPTION_ALIAS: string;
    static readonly HELP_EXAMPLES: string;
    static readonly HELP_WEB_OPTION: string;
    static readonly HELP_WEB_OPTION_ALIAS: string;
    static readonly STDIN_OPTION: string;
    static readonly STDIN_OPTION_ALIAS: string;
    static readonly STDIN_DEFAULT_DESCRIPTION: string;
    static readonly OPT_LONG_DASH: string;
    static readonly OPT_SHORT_DASH: string;
    /**
     * If you use the stdin option, you will be able to access the contents buffer
     * through this key on your Arguments object in your command
     * @type {string}
     */
    static readonly STDIN_CONTENT_KEY: string;
    /**
     * Create profile constants
     */
    static readonly CREATE_ACTION: string;
    static readonly PROFILE_GROUP: string;
    static readonly PROFILE_OBJECT: string;
    static readonly PROFILE_ALIASES: string[];
    static readonly PROFILE_NAME_OPTION: string;
    static readonly PROFILE_NAME_OPTION_ALIAS: string;
    static readonly OVERWRITE_OPTION: string;
    static readonly DELETE_ACTION: string;
    static readonly DETAILS_ACTION: string;
    static readonly SHOW_DEPS_ACTION: string;
    static readonly VALIDATE_ACTION: string;
    static readonly UPDATE_ACTION: string;
    static readonly LIST_ACTION: string;
    static readonly PROFILE_SET_OPTION_ALIAS: string;
    static readonly SET_ACTION: string;
    static readonly PROFILE_DELETE_PROFILE_DEPS: string;
    static readonly PROFILE_DELETE_PROFILE_DEPS_ALIAS: string;
    static readonly DEFAULT_HIGHLIGHT_COLOR: string;
    static readonly WEB_HELP_DIR: string;
}
