import { ICommandHandler, IHandlerParameters } from "../../../../../cmd";
/**
 * The set command group handler for cli configuration settings.
 *
 */
export default class SetHandler implements ICommandHandler {
    private static CONFIG_CREGENTIAL_MANAGER;
    /**
     * A logger for this class
     *
     * @private
     * @type {Logger}
     */
    private log;
    /**
     * Process the command and input.
     *
     * @param {IHandlerParameters} params Parameters supplied by yargs
     *
     * @throws {ImperativeError}
     */
    process(params: IHandlerParameters): Promise<void>;
    /**
     * Override the credential manager with the string provided.
     *
     * @param {string} value - new credential manager value to be set
     *
     * @throws {ImperativeError}
     */
    private overrideCredentialManager;
}
