"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
class JsUtils {
    // __________________________________________________________________________
    /**
     * Is the supplied object empty.
     *
     * @param {object} objToTest - The object to test.
     *
     * @returns {boolean} - True if empty. False otherwise.
     */
    static isObjEmpty(objToTest) {
        if (!objToTest) {
            return true;
        }
        for (const prop in objToTest) {
            if (objToTest.hasOwnProperty(prop)) {
                return false;
            }
        }
        return true;
    }
}
exports.JsUtils = JsUtils;
//# sourceMappingURL=JsUtils.js.map